
Redmine - Defect #19569

Field permissions not working properly with inherited memberships

2015-04-08 10:26 - Ricard F

Status: Closed Start date:  

Priority: Urgent Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Permissions and roles Estimated time: 0.00 hour

Target version: 2.6.4   

Resolution: Fixed Affected version: 3.0.0

Description

I have a tree of projects, were groups and permissions are assigned in the top of the tree and projects inherit members.

I have several fields (custom and non-custom) which are not required, but required in several Status.

I haven't figured how to 100% reproduce it, but when assigning a user in several groups, and those groups different roles (ex. group

developers, groups project managers, with role developer and project manager), the required fields depending on the status are no

longer REQUIRED.

Configuration of the fields permission workflow is exactly the same in the role developer and project manager. On the Fields

permissions Workflow I can see the "Required" keyword on the fields when filtering by role "all".

This issue is quite important as we depend on giving permissions to that structure.

Related issues:

Is duplicate of Redmine - Defect #25258: Field permissions ignored if the use... Closed

Associated revisions

Revision 14179 - 2015-04-14 19:01 - Jean-Philippe Lang

Fixed workflow rules when user has duplicated role by inheritance (#19569).

Revision 14210 - 2015-04-25 09:40 - Jean-Philippe Lang

Merged r14179 (#19569).

Revision 14211 - 2015-04-25 09:44 - Jean-Philippe Lang

Backported r14179 (#19569).

History

#1 - 2015-04-08 10:30 - Ricard F

I checked that a same user has assigned the same role by directly assigning the role in the group, and also because he is inheriting it, this issue is

happening.

I looks like this is the cause, and not that the user is in multiple groups.

#2 - 2015-04-14 11:24 - Jean-Philippe Lang

- Target version set to 3.0.2

#3 - 2015-04-14 19:02 - Jean-Philippe Lang

- Subject changed from Workflow - Field permissions not working properly on redmine 3.0 with inherited permissions to Field permissions not working

properly with inherited memberships

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r14179. Thanks for pointing this out.
https://www.redmine.org/projects/redmine/repository/svn/revisions/14179


#4 - 2015-04-15 10:28 - Ricard F

Thanks for the fix!

Expecting version 3.0.2 :)

I hope this issue fixes all the possible variations that cause the fix!

#5 - 2015-04-25 09:45 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Target version changed from 3.0.2 to 2.6.4

#6 - 2017-03-04 12:39 - Jean-Philippe Lang

- Is duplicate of Defect #25258: Field permissions ignored if the user and the group one belongs to share the same role added
